
Figure - Bug #114755
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 112101 (New): AF-V2.0-Launcher/SystemUI-控制中心

【AF】【EVT】【控制中心】游戏模式组件无法点击
2022-12-22 15:58 - CD TEST-方永红

Status: CLOSED Start date: 2022-12-22

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0061.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0063.X101

Reproducibility: Every time Fixed Version: 2022-12-26

Test Type: IT Root cause: 点击事件回调方法出现空指针异常，由于空指针对象并无实际作用，所以去除了造成空指针异常的对象

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开控制中心

2、点击游戏模式组件

【预期结果】

2、游戏模式由关闭转变为开启模式

【实际结果】

2、点击之后游戏模式组件无反应

History

#1 - 2022-12-22 16:35 - CD FW-王伟

- Assignee changed from CD FW 曹覃刚 to CD FW-程天颖

#2 - 2022-12-26 11:35 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

172035 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:SystemUI: Fixed QuickSettings GameMode can`t clickTC-RID: 1201-0201903IssueID: TS-R-BUG-114755Change-Id:

I0f8fefd1a103c828dae9efdb2c6af2fcecd9bb03

#3 - 2022-12-26 13:59 - CD FW-程天颖

- Assignee changed from CD FW-程天颖 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No
- Root cause set to 点击事件回调方法出现空指针异常，由于空指针对象并无实际作用，所以去除了造成空指针异常的对象

■ Current conclusion

bug 已经解决，代码已入库

■ My analysis

点击事件回调方法出现空指针异常，由于空指针对象并无实际作用，所以去除了造成空指针异常的对象

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/172035

#4 - 2022-12-26 15:57 - CD FW-程天颖

- Status changed from New to RESOLVED

- Fixed Version set to 2022-12-26

#5 - 2022-12-28 10:48 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0063.X101

12.28

验证通过

#6 - 2022-12-28 10:48 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/172035

